SearchAppEntitlementsWithExpired
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementSearch.SearchAppEntitlementsWithExpired(ctx, operations.C1APIAppV1AppEntitlementSearchServiceSearchAppEntitlementsWithExpiredRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SearchAppEntitlementsWithExpiredResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementSearch.searchAppEntitlementsWithExpired({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/grants \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"appUser": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"profile": {},
"status": {
"details": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"appUserId": "<string>",
"discovered": "2023-11-07T05:31:56Z",
"expired": "2023-11-07T05:31:56Z",
"grantReasons": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"derivedIdData": "<string>",
"derivedIdType": "<string>",
"reasonExpiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"grantSources": [
{
"appId": "<string>",
"id": "<string>"
}
],
"user": {
"createdAt": "2023-11-07T05:31:56Z",
"delegatedUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"department": "<string>",
"departmentSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"directoryIds": [
"<string>"
],
"directoryStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"displayName": "<string>",
"email": "<string>",
"emailSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"emails": [
"<string>"
],
"employeeIdSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employeeIds": [
"<string>"
],
"employmentStatus": "<string>",
"employmentStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employmentType": "<string>",
"employmentTypeSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"jobTitle": "<string>",
"jobTitleSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"managerIds": [
"<string>"
],
"managerSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"profile": {},
"roleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernameSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"usernames": [
"<string>"
]
}
}
],
"nextPageToken": "<string>"
}App Entitlement
Search App Entitlements With Expired
Search app entitlements, include app users, users, expires, discovered.
GET
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
grants
SearchAppEntitlementsWithExpired
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementSearch.SearchAppEntitlementsWithExpired(ctx, operations.C1APIAppV1AppEntitlementSearchServiceSearchAppEntitlementsWithExpiredRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SearchAppEntitlementsWithExpiredResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementSearch.searchAppEntitlementsWithExpired({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The appEntitlementId field.
Response
200 - application/json
The SearchAppEntitlementsWithExpiredResponse message contains a list of results and a nextPageToken if applicable.
Was this page helpful?
⌘I